HardBirch

【已解决】maven-dependency-plugin (goals “copy-dependencies”, “unpack”) is not support的解决办法

时间:16-04-27 栏目:BackEnd技术 作者:魔豆先生 评论:0 点击: 1,953 次

1、在pom.xml中<Build></Biuld>之间加入以下代码:

<!-- BEGIN 解决ECLIPSE里面该POM文件出错-->
<!-- maven-dependency-plugin (goals "copy-dependencies", "unpack") is not supported by m2e -->
<pluginManagement>
<plugins>
<!-- Ignore/Execute plugin execution -->
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<!-- copy-dependency plugin -->
<pluginExecution>
<pluginExecutionFilter>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-dependency-plugin</artifactId>
<versionRange>[1.0.0,)</versionRange>
<goals>
<goal>copy-dependencies</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore/>
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>
</plugins>
</pluginManagement>
<!-- END 解决ECLIPSE里面该POM文件出错-->

 

2、 右键"mahout-examples"项目->"Maven"->"Update Project Configuration"

3、Everything is OK!

 

 

 

【已解决】maven-dependency-plugin (goals “copy-dependencies”, “unpack”) is not support的解决办法:等您坐沙发呢!

发表评论


QQ群互动

Linux系统与内核学习群:194051772

WP建站技术学习交流群:194062106

魔豆之路QR

魔豆的Linux内核之路

魔豆的Linux内核之路

优秀工程师当看优秀书籍

优秀程序员,要看优秀书!

赞助商广告

友荐云推荐